Package org.eclipse.net4j.util.ui.views

# Class RowIntrospectionProvider

java.lang.Object
org.eclipse.net4j.util.ui.views.IntrospectionProvider
org.eclipse.net4j.util.ui.views.RowIntrospectionProvider

All Implemented Interfaces:
  `Comparable<IntrospectionProvider>`

public abstract class RowIntrospectionProvider extends IntrospectionProvider

Since:
  3.16
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`RowIntrospectionProvider.Row`

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.ui.views.IntrospectionProvider

`IntrospectionProvider.Factory, IntrospectionProvider.NameAndValue`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_CATEGORY`

### Fields inherited from class org.eclipse.net4j.util.ui.views.IntrospectionProvider

`DEFAULT_PRIORITY`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`RowIntrospectionProvider(String id, String label)`

## Method Summary

Modifier and Type
Method
Description
`final void`
`createColumns(TableViewer viewer)`
`protected abstract void`
`fillRows(Object parent, List<RowIntrospectionProvider.Row> rows)`
`final Color`
`getBackground(Object element)`
`final String`
`getColumnText(Object element, int index)`
`final ViewerComparator`
`getComparator()`
`abstract RowIntrospectionProvider.Row`
`getElementByName(Object parent, String name)`
`final RowIntrospectionProvider.Row[]`
`getElements(Object parent)`
`final Color`
`getForeground(Object element)`
`final RowIntrospectionProvider.Row`
`getNameAndValue(Object element)`

### Methods inherited from class org.eclipse.net4j.util.ui.views.IntrospectionProvider

`attachListener, canHandle, compareTo, createColumn, createViewer, detachListener, formatValue, getClassName, getColumnImage, getId, getLabel, getName, getPriority, open, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### DEFAULT_CATEGORY

public static final int DEFAULT_CATEGORY

See Also:
  - Constant Field Values

## Constructor Details

### RowIntrospectionProvider

protected RowIntrospectionProvider(String id, String label)

## Method Details

### createColumns

public final void createColumns(TableViewer viewer)

Specified by:
  `createColumns` in class `IntrospectionProvider`

### getElements

public final RowIntrospectionProvider.Row[] getElements(Object parent) throws Exception

Specified by:
  `getElements` in class `IntrospectionProvider`
Throws:
  `Exception`

### fillRows

protected abstract void fillRows(Object parent, List<RowIntrospectionProvider.Row> rows) throws Exception

Throws:
  `Exception`

### getElementByName

public abstract RowIntrospectionProvider.Row getElementByName(Object parent, String name) throws Exception

Specified by:
  `getElementByName` in class `IntrospectionProvider`
Throws:
  `Exception`

### getNameAndValue

public final RowIntrospectionProvider.Row getNameAndValue(Object element) throws Exception

Specified by:
  `getNameAndValue` in class `IntrospectionProvider`
Throws:
  `Exception`

### getColumnText

public final String getColumnText(Object element, int index) throws Exception

Specified by:
  `getColumnText` in class `IntrospectionProvider`
Throws:
  `Exception`

### getForeground

public final Color getForeground(Object element)

Overrides:
  `getForeground` in class `IntrospectionProvider`

### getBackground

public final Color getBackground(Object element)

Overrides:
  `getBackground` in class `IntrospectionProvider`

### getComparator

public final ViewerComparator getComparator()

Overrides:
  `getComparator` in class `IntrospectionProvider`